<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>dp-libary: dp.Model Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">dp-libary
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacedp.html">dp</a></li><li class="navelem"><a class="el" href="classdp_1_1_model.html">Model</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-static-attribs">Static Private Attributes</a> &#124;
<a href="classdp_1_1_model-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">dp.Model Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for dp.Model:</div>
<div class="dyncontent">
 <div class="center">
  <img src="classdp_1_1_model.png" alt=""/>
 </div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a18972b7c094d9adc88505e49673b249c"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classdp_1_1_model.html#a18972b7c094d9adc88505e49673b249c">__init__</a> (self)</td></tr>
<tr class="separator:a18972b7c094d9adc88505e49673b249c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7b556467894e0e4420ea15cf56aa7c88"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classdp_1_1_model.html#a7b556467894e0e4420ea15cf56aa7c88">get_param</a> (self)</td></tr>
<tr class="separator:a7b556467894e0e4420ea15cf56aa7c88"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae20bd11912dfdacba183367a35609f9a"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classdp_1_1_model.html#ae20bd11912dfdacba183367a35609f9a">set_param</a> (self, <a class="el" href="classdp_1_1_model.html#ab3c74ad1b1238944a9cc766bcb40723c">param</a>)</td></tr>
<tr class="separator:ae20bd11912dfdacba183367a35609f9a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1009007083e5bca049408348e29454bf"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classdp_1_1_model.html#a1009007083e5bca049408348e29454bf">get_grad</a> (self, x, y)</td></tr>
<tr class="separator:a1009007083e5bca049408348e29454bf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab40b400bbddf39336be557d35799dd8a"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classdp_1_1_model.html#ab40b400bbddf39336be557d35799dd8a">ReLu_Layer</a> (self, fan_in, fan_out, name=None, initializer=None)</td></tr>
<tr class="separator:ab40b400bbddf39336be557d35799dd8a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6ef27099ef25299b5bf6e17092eb57da"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classdp_1_1_model.html#a6ef27099ef25299b5bf6e17092eb57da">Linear_Layer</a> (self, fan_in, fan_out, name=None, initializer=None)</td></tr>
<tr class="separator:a6ef27099ef25299b5bf6e17092eb57da"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9cd560a0b7e8ec090b30b7fa03945f98"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classdp_1_1_model.html#a9cd560a0b7e8ec090b30b7fa03945f98">forward</a> (self, x)</td></tr>
<tr class="separator:a9cd560a0b7e8ec090b30b7fa03945f98"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a439e7864668fd65d749ad08bd6eb17cd"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classdp_1_1_model.html#a439e7864668fd65d749ad08bd6eb17cd">loss</a> (self, x, y)</td></tr>
<tr class="separator:a439e7864668fd65d749ad08bd6eb17cd"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:a7a97142e157d2904dc29aa7ce2f930ac"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classdp_1_1_model.html#a7a97142e157d2904dc29aa7ce2f930ac">neural_nodes</a></td></tr>
<tr class="separator:a7a97142e157d2904dc29aa7ce2f930ac"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab3c74ad1b1238944a9cc766bcb40723c"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classdp_1_1_model.html#ab3c74ad1b1238944a9cc766bcb40723c">param</a></td></tr>
<tr class="separator:ab3c74ad1b1238944a9cc766bcb40723c"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:a9a3c9f8faef792e421e03e43545de688"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classdp_1_1_model.html#a9a3c9f8faef792e421e03e43545de688">_set_layer</a> (self, fan_in, fan_out, name, layer_type, initializer=None)</td></tr>
<tr class="separator:a9a3c9f8faef792e421e03e43545de688"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a64d109b8228da7852de6c2a0f884dd19"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classdp_1_1_model.html#a64d109b8228da7852de6c2a0f884dd19">_add_to_params</a> (self, p)</td></tr>
<tr class="separator:a64d109b8228da7852de6c2a0f884dd19"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pri-static-attribs"></a>
Static Private Attributes</h2></td></tr>
<tr class="memitem:a290ad47a0359385dad2f0cbf1f80f3cc"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classdp_1_1_model.html#a290ad47a0359385dad2f0cbf1f80f3cc">_NNode</a> = namedtuple(&quot;NNode&quot;, ['layer_type', '<a class="el" href="classdp_1_1_model.html#ab3c74ad1b1238944a9cc766bcb40723c">param</a>', 'nodes'])</td></tr>
<tr class="separator:a290ad47a0359385dad2f0cbf1f80f3cc"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><pre class="fragment">Model is the parent class for designing our neural net.</pre> </div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a18972b7c094d9adc88505e49673b249c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a18972b7c094d9adc88505e49673b249c">&#9670;&nbsp;</a></span>__init__()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def dp.Model.__init__ </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a64d109b8228da7852de6c2a0f884dd19"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a64d109b8228da7852de6c2a0f884dd19">&#9670;&nbsp;</a></span>_add_to_params()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">def dp.Model._add_to_params </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>p</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a9a3c9f8faef792e421e03e43545de688"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9a3c9f8faef792e421e03e43545de688">&#9670;&nbsp;</a></span>_set_layer()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">def dp.Model._set_layer </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>fan_in</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>fan_out</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>layer_type</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>initializer</em> = <code>None</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<pre class="fragment">Adds a layer to the neural network.

Args:
    fan_in:         number of layer inputs
    fan_out:        number of layer outputs
    name:           String, name of the layer
    layer_type:     layer type defined in the NeuralNode class
     
Kwargs:
    initializer:    initializer used for the initialization of weights and biases

Returns:
    lambda x: f(x)         function represented by the layer
</pre> 
</div>
</div>
<a id="a9cd560a0b7e8ec090b30b7fa03945f98"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9cd560a0b7e8ec090b30b7fa03945f98">&#9670;&nbsp;</a></span>forward()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def dp.Model.forward </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>x</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Has to be implemented when setting up the neural network. Calculates the forward pass
defined by the neural network.
</pre> 
</div>
</div>
<a id="a1009007083e5bca049408348e29454bf"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1009007083e5bca049408348e29454bf">&#9670;&nbsp;</a></span>get_grad()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def dp.Model.get_grad </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>x</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>y</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Calculates and returns the current gradient and value of the loss function .

Args:
    x:    x training data (features)
    y:    y data (prediction) 
        
Returns:
    loss_grad(g):   current model gradient
    loss_:          current loss value
</pre> 
</div>
</div>
<a id="a7b556467894e0e4420ea15cf56aa7c88"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7b556467894e0e4420ea15cf56aa7c88">&#9670;&nbsp;</a></span>get_param()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def dp.Model.get_param </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Retruns a dictionary of all parameters (weights and bias) used in the network.

Returns:
    A dictionary
</pre> 
</div>
</div>
<a id="a6ef27099ef25299b5bf6e17092eb57da"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6ef27099ef25299b5bf6e17092eb57da">&#9670;&nbsp;</a></span>Linear_Layer()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def dp.Model.Linear_Layer </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>fan_in</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>fan_out</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>name</em> = <code>None</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>initializer</em> = <code>None</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Adds a Linear layer to the neural network.
</pre> 
</div>
</div>
<a id="a439e7864668fd65d749ad08bd6eb17cd"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a439e7864668fd65d749ad08bd6eb17cd">&#9670;&nbsp;</a></span>loss()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def dp.Model.loss </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>x</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>y</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Loss function which should be optimized by the neural network.
Has to be implemented when setting up the neural network. 
</pre> 
</div>
</div>
<a id="ab40b400bbddf39336be557d35799dd8a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab40b400bbddf39336be557d35799dd8a">&#9670;&nbsp;</a></span>ReLu_Layer()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def dp.Model.ReLu_Layer </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>fan_in</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>fan_out</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>name</em> = <code>None</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>initializer</em> = <code>None</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Adds a Relu layer to the neural network.
</pre> 
</div>
</div>
<a id="ae20bd11912dfdacba183367a35609f9a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae20bd11912dfdacba183367a35609f9a">&#9670;&nbsp;</a></span>set_param()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def dp.Model.set_param </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>param</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Sets the values of parameters used in the neural network. New values are given by 
the param dictinary.

Args:
    param:    dictionary, contains new parameter values</pre> 
</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="a290ad47a0359385dad2f0cbf1f80f3cc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a290ad47a0359385dad2f0cbf1f80f3cc">&#9670;&nbsp;</a></span>_NNode</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">dp.Model._NNode = namedtuple(&quot;NNode&quot;, ['layer_type', '<a class="el" href="classdp_1_1_model.html#ab3c74ad1b1238944a9cc766bcb40723c">param</a>', 'nodes'])</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a7a97142e157d2904dc29aa7ce2f930ac"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7a97142e157d2904dc29aa7ce2f930ac">&#9670;&nbsp;</a></span>neural_nodes</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">dp.Model.neural_nodes</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ab3c74ad1b1238944a9cc766bcb40723c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab3c74ad1b1238944a9cc766bcb40723c">&#9670;&nbsp;</a></span>param</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">dp.Model.param</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="dp_8py.html">dp.py</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.15
</small></address>
</body>
</html>
